## wireguard wireguard — WireGuard Settings |

## Properties

Table 90.

Key Name | Value Type | Default Value | Value Description
--- | --- | --- | ---
    fwmark
    uint32
    0
    ip4-auto-default-route
    NMTernary (int32)
    ip6-auto-default-route
    NMTernary (int32)
    listen-port
    uint32
    0
    mtu
    uint32
    0
    peer-routes
    boolean
    TRUE
    peers
    array of 'a{sv}'
    private-key
    string
    private-key-flags
    NMSettingSecretFlags (uint32)